.material-icons {
    line-height: unset;
}

[class^="ri-"], [class*=" ri-"] {
    font-size: 1.3em;
    line-height: 1.3em;
}

/* #region global */

* {
    color: var(--text) !important;
    /* font-family: 'Quicksand', sans-serif; */
    font-family: 'PT Sans', 'Arial', sans-serif;

    scrollbar-width: thin;
    scrollbar-color: var(--page) var(--background);
}

b {
    font-weight: 800;
    /* font-size: 1.1em; */
}

body {
    margin: 0;
    background: var(--background);
}

h2 {
    font-weight: 400;
}

#wrapper {
    display: flex;
    justify-content: left;
}

#page {
    width: 100%;
    margin: auto;
}

/* #region radio button */

 /* Customize the label (the container) */
 .container {
    display: block;
    position: relative;
    padding-right: 15px;
    margin-bottom: 20px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
  
  /* Hide the browser's default radio button */
  .container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  /* Create a custom radio button */
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 1em;
    width: 1em;
    background-color: var(--text);
    border-radius: 50%;
  }
  
  /* On mouse-over, add a grey background color */
  .container:hover input ~ .checkmark {
    background-color: #ccc;
  }
  
  /* When the radio button is checked, add a blue background */
  .container input:checked ~ .checkmark {
    background-color: var(--accent);
  }
  
  /* Create the indicator (the dot/circle - hidden when not checked) */
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the indicator (dot/circle) when checked */
  .container input:checked ~ .checkmark:after {
    display: block;
  }
  
  /* Style the indicator (dot/circle) */
  .container .checkmark:after {
    top: 0.5em;
    left: 0.5em;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    /* background: var(--text); */
    transform: translate(-50%, -50%);
  } 

/* #endregion */

/* #region switch */

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: var(--accent);
}

input:focus + .slider {
    box-shadow: 0 0 1px var(--accent);
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
} 

/* #endregion switch */

/* #endregion */

/* #region navigation bar */

#navbar {
    width: calc(100% - 40px);
    max-width: 960px;

    padding: 10px;
    margin: 5px;
    margin-left: auto;
    margin-right: auto;

    position: fixed;
    top: 5px;
    left: 50%;
    transform: translate(-50%);
    
    box-shadow: var(--primary-shadow);
    border-radius: var(--border-radius-large);
    background: var(--page);

    z-index: 9999;
}

#navbarWrapper, #navbarSettings {
    display: flex;
    justify-content: space-between;
    align-content: center;
}

#navbar ul {
    margin: 0;
    padding-left: 5px;
}

#navbar ul li {
    display: inline;
}

#navbar > div > * {
    cursor: pointer;
    text-decoration: none;
}

#titleLogo {
    cursor: default;
    text-decoration: unset;
    font-size: 22px;
}

/* #endregion navigation bar */

/* #region page */


#mainWrapper {
    width: calc(100vw - 20px - 30px);
    margin: 100px 10px;
}

.postBox, .specialBox {
    padding: 15px 15px;
    margin: 15px auto;

    background: var(--page);
    border-radius: var(--border-radius-medium);
    box-shadow: var(--primary-shadow);
}

.postBox {
    width: 100%;
    padding: 15px 15px 1px;
}

.postBox > h2 {
    margin-top: 0;
}

.specialBox {
    width: 100%;
    display: flex;
}

.specialImage img {
    height: calc(100% + 30px);
    width: 400px;

    object-fit: cover;

    margin: -15px 15px -19px -15px;
    border-radius: var(--border-radius-large) 0 0 var(--border-radius-medium);
}


.noPostIcon {
	width: 100%;
	height: auto;
	text-align: center;
	margin-top: 10vh;
}

.noPostIcon i {
	font-size: 9rem;
}

.noPostIcon p {
	font-size: 1.5rem;
}

/* #endregion */

/* #region settings*/

#settingsWrapper, #datesWrapper {
    width: 100%;
    margin-top: 55px;
    top: 5px;

    position: fixed;
    display: flex;
    z-index: 9;
}

#settingsWrapper {
    right: 0px;
    justify-content: flex-end;
}

#datesWrapper {
    left: 0px;
    justify-content: flex-start;
}

.settingsContent {
    width: var(--settings-popup-width);
    z-index: 9;

    position: fixed;

    overflow: hidden;

    background: var(--page);
    box-shadow: var(--primary-shadow);
    border-radius: var(--border-radius-large);
}

.settingsItem {
    width: calc(var(--settings-popup-width) - 20px - 30px);

    margin: 10px;
    padding: 15px;

    font-size: 1.1em;

    /* display: flex;
    align-items: center;
    justify-content: space-between; */
    display: grid;
    grid-template-columns: 2em 1fr 2em;
    align-items: center;

    border-radius: var(--border-radius-medium);
}
.secondarySettings > .settingsItem {
    grid-template-columns: 1fr auto;
}

.settingsItem:hover {
    background: var(--background);
}

.nothing {
    width: 1.5em;
}

.secondarySettings {
    background: var(--background);
    max-height: calc(100vh - 300px);
    overflow: scroll;
}

.settingsItem .material-icons {
    font-size: 1.1em;
    margin-right: 5px;
}

.settingsItem > div {
    display: flex;
    align-items: bottom;
}

/* #endregion */

/* #region input/popup */

input, button, textarea {
    background: var(--background);
    color: var(--text);
    padding: 7px;
    margin: 4px;
    box-shadow: var(--secondary-shadow);
}

input, textarea {
    border: 3px solid var(--accent);
    border-top: 0;
    border-left: 0;
    border-right: 0;
}

button {
    border-radius: var(--border-radius-small);
    border: 0;
    /* background: var(--page-dark); */
    background: var(--accent);
    padding: 6px;
    color: var(--background) !important;
}

textarea {
    resize: vertical;
}

.modal {
    width: 500px;
    max-width: calc(100vw - 50px);

    position: fixed;
    padding: 15px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    background: var(--page);
    border-radius: var(--border-radius-large);
    box-shadow: var(--primary-shadow);
}

.modal h2 {
    margin-top: 0;
}

.modal > div {
    margin: auto;
    width: 100%;
}

.modal input, .modal textarea {
    width: calc(100% - 30px);
    font-size: 0.9em;
    border-top-left-radius: var(--border-radius-small);
    border-top-right-radius: var(--border-radius-small);
    background: var(--page-dark);
}

.modalFooter {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.backgroundDarken {
    width: 100vw !important;
    height: 100vh !important;;
    position: absolute;
    background: rgba(0, 0, 0, 0.15);
    top: 0;
    left: 0;
    z-index: 50000;
}

/* #endregion */

#searchResultContent::-webkit-scrollbar {
    display: none;
}


/* phone */
@media (max-width: 720px) {
    .specialBox {
        flex-wrap: wrap;
    }
    .specialImage img {
        border-radius: var(--border-radius-large) var(--border-radius-large) 0 0;
        width: calc(100% + 30px);
        height: auto;
    }
    #navbarWrapper > div > ul > li {
        margin: 5px;
    }
    #titleLogo {
        display: none;
    }
}

/* tablet */
@media (min-width: 960px) {
    .postBox {
        width: 90%;
    }
    .specialBox {
        width: 95%;
    }
    #page {
        width: 80%;
        max-width: 960px;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
    }
}

/* desktop */
@media (min-width: 1280px) {
    #page {
        max-width: 1280px;
    }
    .postBox {
        width: 42%;
    }
}